Search Results for

Show / Hide Table of Contents

# Class ListViewRowEventArgs

System.EventArgs used by the RowRender event.

##### Inheritance

System.Object
System.EventArgs
ListViewRowEventArgs

##### Inherited Members

System.EventArgs.Empty
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class ListViewRowEventArgs : EventArgs

### Constructors

#### ListViewRowEventArgs(Int32)

Initializes with the current row.

##### Declaration

    public ListViewRowEventArgs(int row)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | row |

### Properties

#### Row

The current row being rendered.

##### Declaration

    public int Row { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

#### RowAttribute

The Attribute used by current row or null to maintain the current attribute.

##### Declaration

    public Attribute? RowAttribute { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<Attribute> |